#ifndef _LCR_DEBUG_H
#define _LCR_DEBUG_H

#include "map.h"
#include <stdio.h>

void LCR_debugPrintCurrentMap()
{
  puts("current map:");

  for (int i = 0; i < LCR_currentMap.blockCount; ++i)
  {
    uint8_t x, y, z;

    LCR_mapBlockGetCoords(LCR_currentMap.blocks + i * 4,&x,&y,&z);

    printf("  block %d: type %x, coord %d (%d %d %d)\n",i,
      LCR_currentMap.blocks[i * 4],LCR_mapBlockGetCoordNumber(
      LCR_currentMap.blocks + i * 4),x,y,z);
  }
}

#endif
